<?php

namespace Litecms\News\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Litepie\Database\Model;
use Litepie\Database\Traits\Slugger;
use Litepie\Filer\Traits\Filer;
use Litepie\Hashids\Traits\Hashids;
use Litepie\Repository\Traits\PresentableTrait;
use Litepie\Revision\Traits\Revision;
use Litepie\Trans\Traits\Translatable;
class News extends Model
{
    use Filer, SoftDeletes, Hashids, Slugger, Translatable, Revision, PresentableTrait;


    /**
     * Configuartion for the model.
     *
     * @var array
     */
     protected $config = 'litecms.news.news.model';


    /**
     * The category that belong to the news.
     */
    public function category(){
        return $this->belongsTo('News\News\Models\Category');
    }


    /**
     * The comments that belong to the news.
     */
    public function comments(){
        return $this->hasMany('News\News\Models\Comment');
    }


    /**
     * The tags that belong to the news.
     */
    public function tags(){
        return $this->hasMany('News\News\Models\Tag');
    }
}
